Danh sách Jobs

GEThttps://sangtao.ai/api/v2/jobs

Tài liệu cho Danh sách Jobs.

Liệt kê tất cả jobs của user hiện tại với phân trang và bộ lọc. Dùng để xây dựng trang lịch sử, dashboard, hoặc quản lý.

Tham số query

FieldTypeDescription
pageintSố trang. Mặc định: 1
limitintSố item mỗi trang. Mặc định: 10
typestringLọc theo loại job (xem bảng bên dưới)
statusstringLọc theo trạng thái: "pending", "processing", "complete", "error"
ownerstringLọc theo chủ sở hữu
blueprintstringLọc theo blueprint slug

Loại job

LoạiMô tả
GenerateImageTạo ảnh AI
GenerateVideoTạo video AI
VoiceoverVideoVideo voiceover với ảnh AI
StockVideoVideo stock footage với narration
ArticleVideoChuyển bài báo thành video
SlideshowVideoVideo slideshow từ ảnh
RenderVideoRender tùy chỉnh từ scenes

cURL

bash
curl "https://sangtao.ai/api/v2/jobs?page=1&limit=10&status=complete" \
  -H "X-Api-Key: YOUR_API_KEY"

Phản hồi

json
{
  "success": true,
  "data": {
    "items": [
      {
        "jobId": "abc-123",
        "type": "VoiceoverVideo",
        "typeDisplayName": "Voiceover Video",
        "category": "Video",
        "status": "complete",
        "step": null,
        "progress": 100,
        "error": null,
        "resultUrl": "https://cdn.sangtao.ai/videos/result.mp4",
        "resultImages": null,
        "resultData": { "videoUrl": "...", "durationSec": 30 },
        "thumbnailUrl": "https://cdn.sangtao.ai/videos/thumb.jpg",
        "prompt": "Cuối con phố nhỏ ở Hội An...",
        "params": { "voiceId": "vi-VN-HoaiMyNeural", "style": "realistic" },
        "creditCost": 5,
        "elapsedSeconds": 45,
        "createdAt": "2025-06-01T10:30:00Z",
        "processingAt": "2025-06-01T10:30:02Z",
        "completedAt": "2025-06-01T10:30:45Z",
        "retryCount": 0,
        "providerName": "cloud",
        "hasDownloadableAssets": true,
        "parentJobId": null,
        "subType": null,
        "publishStatus": null,
        "publishTitle": null,
        "blueprintName": null,
        "blueprintSlug": null,
        "isOwner": true,
        "ownerName": null
      }
    ],
    "total": 42,
    "page": 1,
    "limit": 10
  }
}